> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Payroll Id Exists

> Looks up a token payroll by external payroll ID and reports whether it exists and is complete.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/check-payroll-id-exists
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/check-payroll-id-exists:
    get:
      operationId: checkPayrollIdExists
      summary: Check Payroll Id Exists
      x-toku-required-scope: payroll:read
      description: >-
        Looks up a token payroll by external payroll ID and reports whether it
        exists and is complete.


        Required scope: `payroll:read`
      parameters:
        - name: payrollId
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 256
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPayrollIdExistsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CheckPayrollIdExistsResponse:
      type: object
      properties:
        exists:
          type: boolean
        existingPayrollId:
          type:
            - string
            - 'null'
          format: uuid
        isPayrollComplete:
          type: boolean
      required:
        - exists
        - existingPayrollId
        - isPayrollComplete
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
